PANDA_CHECKINFO(3)

NAME
panda_checkinfo - ensure an info object exists

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_checkinfo (panda_pdf *output);

DESCRIPTION

PANDA INTERNAL. This function call ensures that the info object exists inside the PDF document so that information may be safely added. This function call is unlikely to be needed by users of the API because it is used whenever one of the info object functions is called by the Panda code itself.

RETURNS

Nothing

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_init(); document = panda_open("filename.pdf", "w"); panda_checkinfo(document);

SEE ALSO

panda_setauthor, panda_setcreator, panda_settitle, panda_setsubject, panda_setkeywords, panda_setid

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.